=== debian/watch ===
version=4
opts=pgpmode=auto \
  https://curl.haxx.se/download/ download/curl-([\d\.]+).tar.gz
