=== debian/control ===
--- 
+++ 
@@ -1,38 +1,36 @@
 Source: curl
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>,
            Sergio Durigan Junior <sergiodj@debian.org>
-Build-Depends:
- debhelper-compat (= 13),
- autoconf,
- automake,
- ca-certificates,
- dh-exec,
- dpkg-dev (>= 1.17.14~),
- groff-base,
- libbrotli-dev,
- libgnutls28-dev,
- libidn2-dev,
- libkrb5-dev,
- libldap2-dev,
- libnghttp2-dev,
- libnss3-dev,
- libpsl-dev,
- librtmp-dev (>= 2.4+20131018.git79459a2-3~),
- libssh-dev,
- libssh2-1-dev,
- libssl-dev (>= 1.1),
- libtool,
- libzstd-dev,
- openssh-server <!nocheck>,
- python3:native <!nocheck>,
- python3-impacket <!nocheck>,
- quilt,
- stunnel4 <!nocheck>,
- zlib1g-dev
+Build-Depends: autoconf,
+               automake,
+               ca-certificates,
+               debhelper-compat (= 13),
+               dh-exec,
+               groff-base,
+               libbrotli-dev,
+               libgnutls28-dev,
+               libidn2-dev,
+               libkrb5-dev,
+               libldap2-dev,
+               libnghttp2-dev,
+               libnss3-dev,
+               libpsl-dev,
+               librtmp-dev,
+               libssh-dev,
+               libssh2-1-dev,
+               libssl-dev,
+               libtool,
+               libzstd-dev,
+               openssh-server <!nocheck>,
+               python3-impacket <!nocheck>,
+               python3:native <!nocheck>,
+               quilt,
+               stunnel4 <!nocheck>,
+               zlib1g-dev
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/curl.git
@@ -42,7 +40,7 @@
 
 Package: curl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl4 (= ${binary:Version})
+Depends: libcurl4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Description: command line tool for transferring data with URL syntax
  curl is a command line tool for transferring data with URL syntax, supporting
@@ -57,7 +55,7 @@
 Package: libcurl4
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: ca-certificates
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: libcurl3
@@ -82,7 +80,7 @@
 Package: libcurl3-gnutls
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: ca-certificates
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -105,7 +103,7 @@
 Package: libcurl3-nss
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: ca-certificates
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
@@ -129,21 +127,21 @@
 Architecture: any
 Section: libdevel
 Provides: libcurl-dev,
- libcurl-ssl-dev,
- libcurl3-openssl-dev,
- libcurl4-dev,
- libcurl3-dev
-Conflicts: libcurl4-gnutls-dev, libcurl4-nss-dev, libssl-dev (<< 1.1), libssl1.0-dev
-Depends: ${misc:Depends}, libcurl4 (= ${binary:Version})
+          libcurl-ssl-dev,
+          libcurl3-dev,
+          libcurl3-openssl-dev,
+          libcurl4-dev
+Conflicts: libcurl4-gnutls-dev, libcurl4-nss-dev, libssl1.0-dev
+Depends: libcurl4 (= ${binary:Version}), ${misc:Depends}
 Suggests: libcurl4-doc,
- libidn11-dev,
- libkrb5-dev,
- libldap2-dev,
- librtmp-dev,
- libssh2-1-dev,
- libssl-dev (>= 1.1),
- pkg-config,
- zlib1g-dev
+          libidn11-dev,
+          libkrb5-dev,
+          libldap2-dev,
+          librtmp-dev,
+          libssh2-1-dev,
+          libssl-dev,
+          pkg-config,
+          zlib1g-dev
 Multi-Arch: same
 Description: development files and documentation for libcurl (OpenSSL flavour)
  libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
@@ -167,21 +165,18 @@
 Package: libcurl4-gnutls-dev
 Architecture: any
 Section: libdevel
-Provides: libcurl-dev,
- libcurl-ssl-dev,
- libcurl3-gnutls-dev,
- libcurl4-dev
-Conflicts: libcurl4-openssl-dev, libcurl4-nss-dev
-Depends: ${misc:Depends}, libcurl3-gnutls (= ${binary:Version})
+Provides: libcurl-dev, libcurl-ssl-dev, libcurl3-gnutls-dev, libcurl4-dev
+Conflicts: libcurl4-nss-dev, libcurl4-openssl-dev
+Depends: libcurl3-gnutls (= ${binary:Version}), ${misc:Depends}
 Suggests: libcurl4-doc,
- libgnutls28-dev,
- libidn11-dev,
- libkrb5-dev,
- libldap2-dev,
- librtmp-dev,
- libssh2-1-dev,
- pkg-config,
- zlib1g-dev
+          libgnutls28-dev,
+          libidn11-dev,
+          libkrb5-dev,
+          libldap2-dev,
+          librtmp-dev,
+          libssh2-1-dev,
+          pkg-config,
+          zlib1g-dev
 Multi-Arch: same
 Description: development files and documentation for libcurl (GnuTLS flavour)
  libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
@@ -205,21 +200,18 @@
 Package: libcurl4-nss-dev
 Architecture: any
 Section: libdevel
-Provides: libcurl-dev,
- libcurl-ssl-dev,
- libcurl3-nss-dev,
- libcurl4-dev
-Conflicts: libcurl4-openssl-dev, libcurl4-gnutls-dev
-Depends: ${misc:Depends}, libcurl3-nss (= ${binary:Version})
+Provides: libcurl-dev, libcurl-ssl-dev, libcurl3-nss-dev, libcurl4-dev
+Conflicts: libcurl4-gnutls-dev, libcurl4-openssl-dev
+Depends: libcurl3-nss (= ${binary:Version}), ${misc:Depends}
 Suggests: libcurl4-doc,
- libidn11-dev,
- libkrb5-dev,
- libldap2-dev,
- libnss3-dev,
- librtmp-dev,
- libssh2-1-dev,
- pkg-config,
- zlib1g-dev
+          libidn11-dev,
+          libkrb5-dev,
+          libldap2-dev,
+          libnss3-dev,
+          librtmp-dev,
+          libssh2-1-dev,
+          pkg-config,
+          zlib1g-dev
 Multi-Arch: same
 Description: development files and documentation for libcurl (NSS flavour)
  libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
@@ -243,13 +235,8 @@
 Package: libcurl4-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Replaces: libcurl4-openssl-dev (<< 7.30.0-2),
- libcurl4-gnutls-dev (<< 7.30.0-2),
- libcurl4-nss-dev (<< 7.30.0-2)
-Breaks: libcurl4-openssl-dev (<< 7.30.0-2),
- libcurl4-gnutls-dev (<< 7.30.0-2),
- libcurl4-nss-dev (<< 7.30.0-2)
 Description: documentation for libcurl
  libcurl is an easy-to-use client-side URL transfer library, supporting DICT,
  FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, LDAPS, POP3, POP3S,
