=== debian/rules ===
--- 
+++ 
@@ -49,11 +49,9 @@
 	cd debian/build && dh_auto_configure ${CONFIGURE_ARGS} --with-openssl \
 		--with-ca-path=/etc/ssl/certs \
 		--with-ca-bundle=/etc/ssl/certs/ca-certificates.crt
-	cd debian/build-gnutls &&  dh_auto_configure ${CONFIGURE_ARGS} --with-gnutls	\
-		--with-ca-path=/etc/ssl/certs				\
-		--without-ssl --with-gnutls
-	cd debian/build-nss && dh_auto_configure ${CONFIGURE_ARGS} \
-		--without-ssl --with-nss --with-nss-deprecated
+	cd debian/build-gnutls && dh_auto_configure ${CONFIGURE_ARGS} --with-gnutls \
+		--with-ca-path=/etc/ssl/certs
+	cd debian/build-nss && dh_auto_configure ${CONFIGURE_ARGS} --with-nss --with-nss-deprecated
 
 override_dh_auto_build:
 	cd debian/build && dh_auto_build
@@ -123,7 +121,3 @@
 override_dh_auto_clean:
 	$(RM) -r debian/build* debian/tmp*
 	dh_auto_clean
-
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
